Summary: A software for visualizing both gridded and irregularly located data.
Name:	 vis5d+
Version: 1.2.1
Release: 1zlb
License: GPL
Group: 	 Applications/Engineering
Source:  http://prdownloads.sourceforge.net/vis5d/%{name}-%{version}.tar.bz2
Patch0:  ftp://ftp.cc.ac.cn/home/zlb/vis5d/vis5d+-1.2.1-1zlb.patch
#BuildPrereq: 
#Requires: 
BuildRoot: %{_tmppath}/%{name}-root
URL: http://sourceforge.net/projects/vis5d
Packager: Linbo Zhang, zlb@lsec.cc.ac.cn

%description
Vis5D is a software system that can be used to visualize both
gridded data and irregularly located data.  Sources for this data can
come from numerical weather models, surface observations and other
similar sources.  Vis5D can work on data in the form of a
five-dimensional rectangle.  That is, the data are real numbers at
each point of a "grid" which spans three space dimensions, one time
dimension and a dimension for enumerating multiple physical variables.
Of course, Vis5D works perfectly well on data sets with only one
variable, one time step (i.e. no time dynamics) or one vertical level.
However, your data grids should have at least two rows and columns.
Vis5D can also work with irregularly spaced data which are stored as
"records".  Each record contains a geographic location, a time, and a
set of variables which can contain either character or numerical data.

%prep
%setup -q
%patch0 -p1

%build

./configure --prefix=/usr/local
make

%install
V5DDIR=$RPM_BUILD_ROOT/usr/local/share/vis5d+
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/{bin,lib,share}
mkdir -p $V5DDIR/{convert,scripts,doc/html,userfuncs}

# install standard files
make DESTDIR=$RPM_BUILD_ROOT install

# install extra files
install -m 644 doc/vis5d.pdf $V5DDIR/doc/vis5d.pdf
install -m 644 doc/html/* $V5DDIR/doc/html/
install -m 644 convert/*.* $V5DDIR/convert/
install -m 644 scripts/*.tcl $V5DDIR/scripts/
install -m 644 userfuncs/*.[fm] $V5DDIR/userfuncs
for p in externf externf_all
do
    install -m 755 userfuncs/$p $V5DDIR/userfuncs/$p
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/local/share/vis5d+
%dir /usr/local/include/vis5d+
/usr/local/bin/vis5d
/usr/local/bin/v5dimport
/usr/local/bin/v5dinfo
/usr/local/bin/v5dstats
/usr/local/bin/v5dedit
/usr/local/bin/v5dappend
/usr/local/bin/comp_to_v5d
/usr/local/bin/topoinfo
/usr/local/bin/igg3d
/usr/local/bin/igu3d
/usr/local/bin/gg3d
/usr/local/bin/gr3d_to_v5d
/usr/local/include/vis5d+/*
/usr/local/lib/libvis5d.so.2.0.0
/usr/local/lib/libvis5d.so.2
/usr/local/lib/libvis5d.so
/usr/local/lib/libvis5d.la
/usr/local/lib/libvis5d.a
/usr/local/lib/libv5d.so.2.0.0
/usr/local/lib/libv5d.so.2
/usr/local/lib/libv5d.so
/usr/local/lib/libv5d.la
/usr/local/lib/libv5d.a
/usr/local/share/locale/pt_BR/LC_MESSAGES/vis5d+.mo
/usr/local/share/locale/es/LC_MESSAGES/vis5d+.mo
/usr/local/share/vis5d+/*

%pre

%post
/sbin/ldconfig

%preun

%postun
/sbin/ldconfig

%changelog
* Sat Apr 06 2002 Linbo Zhang <zlb@lsec.cc.ac.cn>
- Create vis5d+-1.2.1-1zlb.patch which adds a new projection type -1
  (PROJ_GENERIC_NONEQUAL)

* Fri Apr 05 2002 Linbo Zhang <zlb@lsec.cc.ac.cn>
- Create vis5d+.spec
